Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class DeploymentService

    java.lang.Object
      org.mule.module.launcher.DeploymentService

    public class DeploymentService

extends Object

Nested Class Summary
`protected class` | `DeploymentService.AppDirWatcher` Not thread safe.

Field Summary
`static String` | `APP_ANCHOR_SUFFIX`
`protected ScheduledExecutorService` | `appDirMonitorTimer`
`protected ApplicationFactory` | `appFactory`
`protected static int` | `DEFAULT_CHANGES_CHECK_INTERVAL_MS`
`protected MuleDeployer` | `deployer`
`protected Log` | `logger`

Constructor Summary
`DeploymentService()`

Method Summary
`protected void` | `addZombie(URL appArchiveUrl)`
`void` | `deploy(URL appArchiveUrl)`
`Application` | `findApplication(String appName)` Find an active application.
`ApplicationFactory` | `getAppFactory()`
`List<Application>` | `getApplications()`
`protected MuleDeployer` | `getDeployer()`
`ReentrantLock` | `getLock()`
`Map<URL,Long>` | `getZombieMap()`
`void` | `onApplicationInstalled(Application a)`
`protected void` | `scheduleChangeMonitor(File appsDir)`
`void` | `setDeployer(MuleDeployer deployer)`
`void` | `start()`
`void` | `stop()`
`protected void` | `undeploy(Application app)`
`void` | `undeploy(String appName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APP_ANCHOR_SUFFIX

    public static final String APP_ANCHOR_SUFFIX

See Also:
  Constant Field Values

### DEFAULT_CHANGES_CHECK_INTERVAL_MS

    protected static final int DEFAULT_CHANGES_CHECK_INTERVAL_MS

See Also:
  Constant Field Values

### appDirMonitorTimer

    protected ScheduledExecutorService appDirMonitorTimer

### logger

    protected final transient Log logger

### deployer

    protected MuleDeployer deployer

### appFactory

    protected ApplicationFactory appFactory

Constructor Detail

### DeploymentService

    public DeploymentService()

Method Detail

### start

    public void start()

### scheduleChangeMonitor

    protected void scheduleChangeMonitor(File appsDir)

### stop

    public void stop()

### findApplication

    public Application findApplication(String appName)

  Find an active application.

  Returns:
    null if not found

### getApplications

    public List<Application> getApplications()

  Returns:
    immutable applications list

### getZombieMap

    public Map<URL,Long> getZombieMap()

  Returns:
    URL/lastModified of apps which previously failed to deploy

### getDeployer

    protected MuleDeployer getDeployer()

### setDeployer

    public void setDeployer(MuleDeployer deployer)

### getAppFactory

    public ApplicationFactory getAppFactory()

### getLock

    public ReentrantLock getLock()

### onApplicationInstalled

    public void onApplicationInstalled(Application a)

### undeploy

    protected void undeploy(Application app)

### undeploy

    public void undeploy(String appName)

### deploy

    public void deploy(URL appArchiveUrl)
                throws IOException

  Throws:
    `IOException`

### addZombie

    protected void addZombie(URL appArchiveUrl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.